{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2026-04-10T02:32:58Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.30.5, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        }
    ],
    "name": "wininterrupt-64-19.0.1",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/wininterrupt-64-19.0.1-host-windows-arm64-target-windows-msvc-arm64-640d5a03-5016-50d1-ab9b-6d309734a58c",
    "packages": [
        {
            "SPDXID": "SPDXRef-Package-wininterrupt64-adffce29c5f8",
            "builtDate": "2026-04-10T02:32:58Z",
            "comment": "Built by CMake 3.30.5 with RelWithDebInfo configuration for Windows (ARM64)",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt-creator/qt-creator.git",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:wininterrupt:19.0.1:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/wininterrupt-64@19.0.1",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": false,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "wininterrupt-64",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "19.0.1"
        },
        {
            "SPDXID": "SPDXRef-Package-wininterrupt-64-build-tool-CMake-adffce29c5f8",
            "comment": "\nCMake target name: wininterrupt-64SbomBuildToolCMake\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "CMake",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "3.30.5"
        },
        {
            "SPDXID": "SPDXRef-Package-wininterrupt-64-build-tool-CMake-generator-Visual-Studio-17-2022-adffce29c5f8",
            "comment": "\nCMake target name: wininterrupt-64SbomBuildToolCMakeGenerator\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "CMake generator Visual Studio 17 2022",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "unknown"
        },
        {
            "SPDXID": "SPDXRef-Package-wininterrupt-64-build-tool-Compiler-MSVC-adffce29c5f8",
            "comment": "\nCMake target name: wininterrupt-64SbomBuildToolCompiler\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Compiler MSVC",
            "primaryPackagePurpose": "OTHER",
            "summary": "The compiler as identified by CMake, running on 'Windows' (ARM64)",
            "supplier": "Person: Anonymous",
            "versionInfo": "19.44.35211.0"
        },
        {
            "SPDXID": "SPDXRef-Package-wininterrupt-64-build-tool-Linker-MSVC-adffce29c5f8",
            "comment": "\nCMake target name: wininterrupt-64SbomBuildToolLinker\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Linker MSVC",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "14.44.35211.0"
        },
        {
            "SPDXID": "SPDXRef-Package-wininterrupt-64-executable-win64interrupt-adffce29c5f8",
            "comment": "\nCMake target name: win64interrupt\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt-creator/qt-creator.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/wininterrupt-win64interrupt?vcs_url=https://code.qt.io/qt-creator/qt-creator.git&library_name=win64interrupt",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/qt/wininterrupt-win64interrupt?vcs_url=https://code.qt.io/qt-creator/qt-creator.git&library_name=win64interrupt",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:wininterrupt:19.0.1:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only WITH Qt-GPL-exception-1.0",
            "licenseDeclared": "NOASSERTION",
            "name": "win64interrupt",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "4f6b0734e5311cbaca86c7de08c0e0e502170c1d"
            },
            "primaryPackagePurpose": "APPLICATION",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "19.0.1"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-executable-win64interrupt-RelWithDebInfo-adffce29c5f8",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "8ceb39c9ad0b6037401081c233b6d89a4aa8754e"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./bin/win64interrupt.exe",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only WITH Qt-GPL-exception-1.0",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-wininterrupt64-adffce29c5f8",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-wininterrupt-64-build-tool-CMake-adffce29c5f8",
            "comment": "SPDXRef-Package-wininterrupt64-adffce29c5f8 is built using CMake version 3.30.5",
            "relatedSpdxElement": "SPDXRef-Package-wininterrupt64-adffce29c5f8",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-wininterrupt-64-build-tool-CMake-generator-Visual-Studio-17-2022-adffce29c5f8",
            "comment": "SPDXRef-Package-wininterrupt64-adffce29c5f8 is built using generator CMAKE_GENERATOR: 'Visual Studio 17 2022' and CMAKE_MAKE_PROGRAM: 'MSBuild.exe' , CMAKE_GENERATOR_PLATFORM 'x64', CMAKE_GENERATOR_INSTANCE 'C:/Program Files/Microsoft Visual Studio/2022/Professional'",
            "relatedSpdxElement": "SPDXRef-Package-wininterrupt64-adffce29c5f8",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-wininterrupt-64-build-tool-Compiler-MSVC-adffce29c5f8",
            "comment": "SPDXRef-Package-wininterrupt64-adffce29c5f8 is built by compiler: 'MSVC' version: '19.44.35211.0' frontend variant: 'MSVC'",
            "relatedSpdxElement": "SPDXRef-Package-wininterrupt64-adffce29c5f8",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-wininterrupt-64-build-tool-Linker-MSVC-adffce29c5f8",
            "comment": "SPDXRef-Package-wininterrupt64-adffce29c5f8 is built by linker 'MSVC' version '14.44.35211.0' frontend variant: 'MSVC'",
            "relatedSpdxElement": "SPDXRef-Package-wininterrupt64-adffce29c5f8",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-wininterrupt64-adffce29c5f8",
            "relatedSpdxElement": "SPDXRef-Package-wininterrupt-64-build-tool-CMake-adffce29c5f8",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-wininterrupt64-adffce29c5f8",
            "relatedSpdxElement": "SPDXRef-Package-wininterrupt-64-build-tool-CMake-generator-Visual-Studio-17-2022-adffce29c5f8",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-wininterrupt64-adffce29c5f8",
            "relatedSpdxElement": "SPDXRef-Package-wininterrupt-64-build-tool-Compiler-MSVC-adffce29c5f8",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-wininterrupt64-adffce29c5f8",
            "relatedSpdxElement": "SPDXRef-Package-wininterrupt-64-build-tool-Linker-MSVC-adffce29c5f8",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-wininterrupt64-adffce29c5f8",
            "relatedSpdxElement": "SPDXRef-Package-wininterrupt-64-executable-win64interrupt-adffce29c5f8",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-wininterrupt-64-executable-win64interrupt-adffce29c5f8",
            "relatedSpdxElement": "SPDXRef-PackagedFile-executable-win64interrupt-RelWithDebInfo-adffce29c5f8",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-wininterrupt-64-executable-win64interrupt-adffce29c5f8",
            "relatedSpdxElement": "SPDXRef-PackagedFile-executable-win64interrupt-RelWithDebInfo-adffce29c5f8",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-executable-win64interrupt-RelWithDebInfo-adffce29c5f8",
            "comment": "/src_dir/wininterrupt-64/wininterrupt.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        }
    ]
}